---
title: Harvey.js
category: JavaScript libraries
layout: 2017/sheet
intro: |
  [Harvey.js](http://harvesthq.github.io/harvey/) helps you build responsive interfaces.
---

### Usage

```js
Harvey.attach('(min-width: 600px)', {
  setup: function () {
    // Called on first enter
  },
  on: function () {
    // Called on every enter
  },
  off: function () {
    // Called on every exit
  }
})
```

### Deprecated

Harvey.js hasn't been updated in a while, as of time of writing. Consider [enquire.js](https://github.com/WickyNilliams/enquire.js) instead.

### References

* <http://harvesthq.github.io/harvey>
